/*
 * Permission is hereby granted, free of charge, to any person obtaining a copy of 
 * this software and associated documentation files (the "Software"), to deal in 
 * the Software without restriction, including without limitation the rights to 
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
 * SOFTWARE.
 */
package org.jcodings.unicode;

import org.jcodings.Config;

public class CR_Changes_When_Casemapped {
    static final int Table[] = Config.USE_UNICODE_PROPERTIES ? new int[] {
        99,
        0x0041, 0x005a,
        0x0061, 0x007a,
        0x00b5, 0x00b5,
        0x00c0, 0x00d6,
        0x00d8, 0x00f6,
        0x00f8, 0x0137,
        0x0139, 0x018c,
        0x018e, 0x019a,
        0x019c, 0x01a9,
        0x01ac, 0x01b9,
        0x01bc, 0x01bd,
        0x01bf, 0x01bf,
        0x01c4, 0x0220,
        0x0222, 0x0233,
        0x023a, 0x0254,
        0x0256, 0x0257,
        0x0259, 0x0259,
        0x025b, 0x025b,
        0x0260, 0x0260,
        0x0263, 0x0263,
        0x0265, 0x0265,
        0x0268, 0x0269,
        0x026b, 0x026b,
        0x026f, 0x026f,
        0x0271, 0x0272,
        0x0275, 0x0275,
        0x027d, 0x027d,
        0x0280, 0x0280,
        0x0283, 0x0283,
        0x0288, 0x028c,
        0x0292, 0x0292,
        0x0345, 0x0345,
        0x0370, 0x0373,
        0x0376, 0x0377,
        0x037b, 0x037d,
        0x0386, 0x0386,
        0x0388, 0x038a,
        0x038c, 0x038c,
        0x038e, 0x03a1,
        0x03a3, 0x03d1,
        0x03d5, 0x03f2,
        0x03f4, 0x03f5,
        0x03f7, 0x03fb,
        0x03fd, 0x0481,
        0x048a, 0x0527,
        0x0531, 0x0556,
        0x0561, 0x0587,
        0x10a0, 0x10c5,
        0x1d79, 0x1d79,
        0x1d7d, 0x1d7d,
        0x1e00, 0x1e9b,
        0x1e9e, 0x1e9e,
        0x1ea0, 0x1f15,
        0x1f18, 0x1f1d,
        0x1f20, 0x1f45,
        0x1f48, 0x1f4d,
        0x1f50, 0x1f57,
        0x1f59, 0x1f59,
        0x1f5b, 0x1f5b,
        0x1f5d, 0x1f5d,
        0x1f5f, 0x1f7d,
        0x1f80, 0x1fb4,
        0x1fb6, 0x1fbc,
        0x1fbe, 0x1fbe,
        0x1fc2, 0x1fc4,
        0x1fc6, 0x1fcc,
        0x1fd0, 0x1fd3,
        0x1fd6, 0x1fdb,
        0x1fe0, 0x1fec,
        0x1ff2, 0x1ff4,
        0x1ff6, 0x1ffc,
        0x2126, 0x2126,
        0x212a, 0x212b,
        0x2132, 0x2132,
        0x214e, 0x214e,
        0x2160, 0x217f,
        0x2183, 0x2184,
        0x24b6, 0x24e9,
        0x2c00, 0x2c2e,
        0x2c30, 0x2c5e,
        0x2c60, 0x2c70,
        0x2c72, 0x2c73,
        0x2c75, 0x2c76,
        0x2c7e, 0x2ce3,
        0x2ceb, 0x2cee,
        0x2d00, 0x2d25,
        0xa640, 0xa66d,
        0xa680, 0xa697,
        0xa722, 0xa72f,
        0xa732, 0xa76f,
        0xa779, 0xa787,
        0xa78b, 0xa78d,
        0xa790, 0xa791,
        0xa7a0, 0xa7a9,
        0xfb00, 0xfb06,
        0xfb13, 0xfb17,
        0xff21, 0xff3a,
        0xff41, 0xff5a,
        0x10400, 0x1044f,
    } : null; 

}