/*
 * Permission is hereby granted, free of charge, to any person obtaining a copy of 
 * this software and associated documentation files (the "Software"), to deal in 
 * the Software without restriction, including without limitation the rights to 
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
 * SOFTWARE.
 */
package org.jcodings.unicode;

import org.jcodings.Config;

public class CR_Common {
    static final int Table[] = Config.USE_UNICODE_PROPERTIES ? new int[] {
        169,
        0x0000, 0x0040,
        0x005b, 0x0060,
        0x007b, 0x00a9,
        0x00ab, 0x00b9,
        0x00bb, 0x00bf,
        0x00d7, 0x00d7,
        0x00f7, 0x00f7,
        0x02b9, 0x02df,
        0x02e5, 0x02e9,
        0x02ec, 0x02ff,
        0x0374, 0x0374,
        0x037e, 0x037e,
        0x0385, 0x0385,
        0x0387, 0x0387,
        0x0589, 0x0589,
        0x060c, 0x060c,
        0x061b, 0x061b,
        0x061f, 0x061f,
        0x0640, 0x0640,
        0x0660, 0x0669,
        0x06dd, 0x06dd,
        0x0964, 0x0965,
        0x0970, 0x0970,
        0x0e3f, 0x0e3f,
        0x0fd5, 0x0fd8,
        0x10fb, 0x10fb,
        0x16eb, 0x16ed,
        0x1735, 0x1736,
        0x1802, 0x1803,
        0x1805, 0x1805,
        0x1cd3, 0x1cd3,
        0x1ce1, 0x1ce1,
        0x1ce9, 0x1cec,
        0x1cee, 0x1cf2,
        0x2000, 0x200b,
        0x200e, 0x2064,
        0x206a, 0x2070,
        0x2074, 0x207e,
        0x2080, 0x208e,
        0x20a0, 0x20b9,
        0x2100, 0x2125,
        0x2127, 0x2129,
        0x212c, 0x2131,
        0x2133, 0x214d,
        0x214f, 0x215f,
        0x2189, 0x2189,
        0x2190, 0x23f3,
        0x2400, 0x2426,
        0x2440, 0x244a,
        0x2460, 0x26ff,
        0x2701, 0x27ca,
        0x27cc, 0x27cc,
        0x27ce, 0x27ff,
        0x2900, 0x2b4c,
        0x2b50, 0x2b59,
        0x2e00, 0x2e31,
        0x2ff0, 0x2ffb,
        0x3000, 0x3004,
        0x3006, 0x3006,
        0x3008, 0x3020,
        0x3030, 0x3037,
        0x303c, 0x303f,
        0x309b, 0x309c,
        0x30a0, 0x30a0,
        0x30fb, 0x30fc,
        0x3190, 0x319f,
        0x31c0, 0x31e3,
        0x3220, 0x325f,
        0x327f, 0x32cf,
        0x3358, 0x33ff,
        0x4dc0, 0x4dff,
        0xa700, 0xa721,
        0xa788, 0xa78a,
        0xa830, 0xa839,
        0xfd3e, 0xfd3f,
        0xfdfd, 0xfdfd,
        0xfe10, 0xfe19,
        0xfe30, 0xfe52,
        0xfe54, 0xfe66,
        0xfe68, 0xfe6b,
        0xfeff, 0xfeff,
        0xff01, 0xff20,
        0xff3b, 0xff40,
        0xff5b, 0xff65,
        0xff70, 0xff70,
        0xff9e, 0xff9f,
        0xffe0, 0xffe6,
        0xffe8, 0xffee,
        0xfff9, 0xfffd,
        0x10100, 0x10102,
        0x10107, 0x10133,
        0x10137, 0x1013f,
        0x10190, 0x1019b,
        0x101d0, 0x101fc,
        0x1d000, 0x1d0f5,
        0x1d100, 0x1d126,
        0x1d129, 0x1d166,
        0x1d16a, 0x1d17a,
        0x1d183, 0x1d184,
        0x1d18c, 0x1d1a9,
        0x1d1ae, 0x1d1dd,
        0x1d300, 0x1d356,
        0x1d360, 0x1d371,
        0x1d400, 0x1d454,
        0x1d456, 0x1d49c,
        0x1d49e, 0x1d49f,
        0x1d4a2, 0x1d4a2,
        0x1d4a5, 0x1d4a6,
        0x1d4a9, 0x1d4ac,
        0x1d4ae, 0x1d4b9,
        0x1d4bb, 0x1d4bb,
        0x1d4bd, 0x1d4c3,
        0x1d4c5, 0x1d505,
        0x1d507, 0x1d50a,
        0x1d50d, 0x1d514,
        0x1d516, 0x1d51c,
        0x1d51e, 0x1d539,
        0x1d53b, 0x1d53e,
        0x1d540, 0x1d544,
        0x1d546, 0x1d546,
        0x1d54a, 0x1d550,
        0x1d552, 0x1d6a5,
        0x1d6a8, 0x1d7cb,
        0x1d7ce, 0x1d7ff,
        0x1f000, 0x1f02b,
        0x1f030, 0x1f093,
        0x1f0a0, 0x1f0ae,
        0x1f0b1, 0x1f0be,
        0x1f0c1, 0x1f0cf,
        0x1f0d1, 0x1f0df,
        0x1f100, 0x1f10a,
        0x1f110, 0x1f12e,
        0x1f130, 0x1f169,
        0x1f170, 0x1f19a,
        0x1f1e6, 0x1f1ff,
        0x1f201, 0x1f202,
        0x1f210, 0x1f23a,
        0x1f240, 0x1f248,
        0x1f250, 0x1f251,
        0x1f300, 0x1f320,
        0x1f330, 0x1f335,
        0x1f337, 0x1f37c,
        0x1f380, 0x1f393,
        0x1f3a0, 0x1f3c4,
        0x1f3c6, 0x1f3ca,
        0x1f3e0, 0x1f3f0,
        0x1f400, 0x1f43e,
        0x1f440, 0x1f440,
        0x1f442, 0x1f4f7,
        0x1f4f9, 0x1f4fc,
        0x1f500, 0x1f53d,
        0x1f550, 0x1f567,
        0x1f5fb, 0x1f5ff,
        0x1f601, 0x1f610,
        0x1f612, 0x1f614,
        0x1f616, 0x1f616,
        0x1f618, 0x1f618,
        0x1f61a, 0x1f61a,
        0x1f61c, 0x1f61e,
        0x1f620, 0x1f625,
        0x1f628, 0x1f62b,
        0x1f62d, 0x1f62d,
        0x1f630, 0x1f633,
        0x1f635, 0x1f640,
        0x1f645, 0x1f64f,
        0x1f680, 0x1f6c5,
        0x1f700, 0x1f773,
        0xe0001, 0xe0001,
        0xe0020, 0xe007f,
    } : null; 

}