/*
 * Permission is hereby granted, free of charge, to any person obtaining a copy of 
 * this software and associated documentation files (the "Software"), to deal in 
 * the Software without restriction, including without limitation the rights to 
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
 * SOFTWARE.
 */
package org.jcodings.unicode;

import org.jcodings.Config;

public class CR_Math {
    static final int Table[] = Config.USE_UNICODE_PROPERTIES ? new int[] {
        106,
        0x002b, 0x002b,
        0x003c, 0x003e,
        0x005e, 0x005e,
        0x007c, 0x007c,
        0x007e, 0x007e,
        0x00ac, 0x00ac,
        0x00b1, 0x00b1,
        0x00d7, 0x00d7,
        0x00f7, 0x00f7,
        0x03d0, 0x03d2,
        0x03d5, 0x03d5,
        0x03f0, 0x03f1,
        0x03f4, 0x03f6,
        0x0606, 0x0608,
        0x2016, 0x2016,
        0x2032, 0x2034,
        0x2040, 0x2040,
        0x2044, 0x2044,
        0x2052, 0x2052,
        0x2061, 0x2064,
        0x207a, 0x207e,
        0x208a, 0x208e,
        0x20d0, 0x20dc,
        0x20e1, 0x20e1,
        0x20e5, 0x20e6,
        0x20eb, 0x20ef,
        0x2102, 0x2102,
        0x2107, 0x2107,
        0x210a, 0x2113,
        0x2115, 0x2115,
        0x2118, 0x211d,
        0x2124, 0x2124,
        0x2128, 0x2129,
        0x212c, 0x212d,
        0x212f, 0x2131,
        0x2133, 0x2138,
        0x213c, 0x2149,
        0x214b, 0x214b,
        0x2190, 0x21a7,
        0x21a9, 0x21ae,
        0x21b0, 0x21b1,
        0x21b6, 0x21b7,
        0x21bc, 0x21db,
        0x21dd, 0x21dd,
        0x21e4, 0x21e5,
        0x21f4, 0x22ff,
        0x2308, 0x230b,
        0x2320, 0x2321,
        0x237c, 0x237c,
        0x239b, 0x23b5,
        0x23b7, 0x23b7,
        0x23d0, 0x23d0,
        0x23dc, 0x23e2,
        0x25a0, 0x25a1,
        0x25ae, 0x25b7,
        0x25bc, 0x25c1,
        0x25c6, 0x25c7,
        0x25ca, 0x25cb,
        0x25cf, 0x25d3,
        0x25e2, 0x25e2,
        0x25e4, 0x25e4,
        0x25e7, 0x25ec,
        0x25f8, 0x25ff,
        0x2605, 0x2606,
        0x2640, 0x2640,
        0x2642, 0x2642,
        0x2660, 0x2663,
        0x266d, 0x266f,
        0x27c0, 0x27ca,
        0x27cc, 0x27cc,
        0x27ce, 0x27ff,
        0x2900, 0x2aff,
        0x2b30, 0x2b44,
        0x2b47, 0x2b4c,
        0xfb29, 0xfb29,
        0xfe61, 0xfe66,
        0xfe68, 0xfe68,
        0xff0b, 0xff0b,
        0xff1c, 0xff1e,
        0xff3c, 0xff3c,
        0xff3e, 0xff3e,
        0xff5c, 0xff5c,
        0xff5e, 0xff5e,
        0xffe2, 0xffe2,
        0xffe9, 0xffec,
        0x1d400, 0x1d454,
        0x1d456, 0x1d49c,
        0x1d49e, 0x1d49f,
        0x1d4a2, 0x1d4a2,
        0x1d4a5, 0x1d4a6,
        0x1d4a9, 0x1d4ac,
        0x1d4ae, 0x1d4b9,
        0x1d4bb, 0x1d4bb,
        0x1d4bd, 0x1d4c3,
        0x1d4c5, 0x1d505,
        0x1d507, 0x1d50a,
        0x1d50d, 0x1d514,
        0x1d516, 0x1d51c,
        0x1d51e, 0x1d539,
        0x1d53b, 0x1d53e,
        0x1d540, 0x1d544,
        0x1d546, 0x1d546,
        0x1d54a, 0x1d550,
        0x1d552, 0x1d6a5,
        0x1d6a8, 0x1d7cb,
        0x1d7ce, 0x1d7ff,
    } : null; 

}